Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::BehaviourPath Class Reference

Inherits Clutter::Behaviour, and Clutter::Scriptable.

Collaboration diagram for Clutter::BehaviourPath:
[legend]

List of all members.

## Public Member Functions
virtual | ~BehaviourPath ()
ClutterBehaviourPath* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBehaviourPath* | gobj () const
| Provides access to the underlying C GObject.
ClutterBehaviourPath* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_path (const Glib::RefPtr< Path >& path)
| Change the path that the actors will follow.
Glib::RefPtr< Path > | get_path ()
| Get the current path of the behaviour.
Glib::RefPtr< const Path > | get_path () const
| Get the current path of the behaviour.
Glib::SignalProxy1< void, guint > | signal_knot_reached ()
## Static Public Member Functions
static Glib::RefPtr < BehaviourPath > | create (const Glib::RefPtr< Alpha >& alpha, const Glib::RefPtr< Path >& path)
static Glib::RefPtr < BehaviourPath > | create_with_knots (const Glib::RefPtr< Alpha >& alpha, const std::vector< Knot >& knots)
static Glib::RefPtr < BehaviourPath > | create_with_description (const Glib::RefPtr< Alpha >& alpha, const Glib::ustring& description)
## Protected Member Functions
| BehaviourPath (const Glib::RefPtr< Alpha >& alpha, const Glib::RefPtr< Path >& path)
virtual void | on_knot_reached (guint knot_num)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Clutter::BehaviourPath > | wrap (ClutterBehaviourPath* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BehaviourPath::~BehaviourPath | ( |  | ) | `[virtual]`

Clutter::BehaviourPath::BehaviourPath | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | const Glib::RefPtr< Path >& | path |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<BehaviourPath> Clutter::BehaviourPath::create | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | const Glib::RefPtr< Path >& | path |
| ) |  |  | `[static]`

static Glib::RefPtr<BehaviourPath> Clutter::BehaviourPath::create_with_description | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | const Glib::ustring & | description |
| ) |  |  | `[static]`

static Glib::RefPtr<BehaviourPath> Clutter::BehaviourPath::create_with_knots | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | const std::vector< Knot >& | knots |
| ) |  |  | `[static]`

Glib::RefPtr<Path> Clutter::BehaviourPath::get_path | ( |  | ) |

Get the current path of the behaviour.

Since cluttermm 1.0:

Returns:
  The path.

Glib::RefPtr<const Path> Clutter::BehaviourPath::get_path | ( |  | ) | const

Get the current path of the behaviour.

Since cluttermm 1.0:

Returns:
  The path.

const ClutterBehaviourPath* Clutter::BehaviourPath::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Scriptable.

ClutterBehaviourPath* Clutter::BehaviourPath::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Scriptable.

ClutterBehaviourPath* Clutter::BehaviourPath::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Clutter::BehaviourPath::on_knot_reached | ( | guint | knot_num | ) | `[protected, virtual]`

void Clutter::BehaviourPath::set_path | ( | const Glib::RefPtr< Path >& | path | ) |

Change the path that the actors will follow.

This will take the floating reference on the Clutter::Path so you do not need to unref it.

Since cluttermm 1.0:

Parameters:

  | path | The new path to follow.

Glib::SignalProxy1< void,guint > Clutter::BehaviourPath::signal_knot_reached | ( |  | ) |

Prototype:
  `void on_my_knot_reached(guint knot_num)`

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BehaviourPath > wrap | ( | ClutterBehaviourPath * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/behaviour-path.h